thread_id
| Rivet Tcl Commands and Variables |

## Name

thread_id — Returns the Tcl interpreter current thread id

## Synopsis

::rivet::thread_id ?-decimal | -hex?

## Description

::rivet::thread_id either returns the hexadecimal (default) or the decimal representation of the current thread id. This command is useful for precise identification of an execution thread when Apache runs a threaded MPM. When called with the ?-decimal? switch the command prints the thread id can be compared with the tid information printed in the Apache error log.

read_file |  | try